﻿<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
        Opus Laboris Recruitment: Test
    </title>
    <link rel="shortcut icon" href="images/icons/favicon.ico" />

    <!-- Javascript Libraries -->
    <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
    <script src="javascript/jquery.min.js" type="text/javascript"></script>

</head>

<body style="display: none">
    <div id="TriSysWeb-Header"></div>

    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h1>
                        TriSys Web Test Page
                    </h1>
                </div>
                <div class="col-md-3">
                    <img src="images/TestCode.png" height="150" />
                </div>
            </div>
            <p>
                This is a test page only.
                It demonstrates features of TriSys Web which were built and tested using this form before being
                incorporated into the main framework.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>

    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Toastr
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">

                    Show toastr notifications

                </div>
                <div class="btn-group">
                    <a href="#" class="btn btn-info" onclick="TriSysApex.Toasters.Info('I am an info toaster')">TriSysApex.Toasters.Info()</a>
                    <a href="#" class="btn btn-success" onclick="TriSysApex.Toasters.Success('I am a success toaster')">TriSysApex.Toasters.Success()</a>
                    <a href="#" class="btn btn-warning" onclick="TriSysApex.Toasters.Warning('I am a warning toaster')">TriSysApex.Toasters.Warning()</a>
                    <a href="#" class="btn btn-danger" onclick="errorToastr('I am an error toaster')">TriSysApex.Toasters.Error()</a>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Animate Wait
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">

                    Stuff to test animation mimicing the asynchronous Web API calls

                </div>
                <div class="btn-group">
                    <a href="#" class="btn btn-default" onclick="showWaitButtonClick(1)">TriSysApex.UI.ShowWait(1)</a>
                    <a href="#" class="btn btn-default" onclick="showWaitButtonClick(3)">TriSysApex.UI.ShowWait(3)</a>
                    <a href="#" class="btn btn-default" onclick="showWaitButtonClick(5)">TriSysApex.UI.ShowWait(5)</a>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Message Box
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">

                    Stuff to test modal message box popups, questions etc..

                </div>

                <div class="btn-group">
                    <a href="#" class="btn btn-default" onclick="showMessageButtonClick()">TriSysApex.UI.ShowMessage()</a>
                    <a href="#" class="btn btn-default" onclick="showErrorButtonClick()">TriSysApex.UI.ShowError()</a>
                    <a href="#" class="btn btn-default" onclick="showQuestionYesNoClick()">TriSysApex.UI.questionYesNo()</a>
                    <a href="#" class="btn btn-default" onclick="showQuestionYesNoCancelClick()">TriSysApex.UI.questionYesNoCancel()</a>
                </div>
                <div class="btn-group">
                    <div id="messageBoxAnswers" style="float: left; width:260px; color: red">&nbsp;</div>
                </div>
            </div>
        </div>
    </div>

    
    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>

    <!-- /container -->

    <script type="text/javascript">

        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: false,
                    CandidateLogin: false,
                    SQLLogin: false,
                    PageName: "test"
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

        function errorToastr(sMessage)
        {
            TriSysApex.Toasters.Error(sMessage); 
            //window.location = "login.html";
        }

        function showMessageButtonClick()
        {
            TriSysApex.UI.ShowMessage("Test Message using the TriSysApex.UI.ShowMessage() method.", TriSysWeb.Constants.ApplicationName);
        }
        function showErrorButtonClick()
        {
            TriSysApex.UI.errorAlert("Error Message using the TriSysApex.UI.ShowError() method.",
                                    TriSysWeb.Constants.ApplicationName + " Error",
                                    errorCallback);
        }

        function showQuestionYesNoClick()
        {
            var sMessage = "Do you want to do it now?";
            var sTitle = "Do-It Question";
            TriSysApex.UI.questionYesNo(sMessage, sTitle, "Yes", yesCallback, "No");
        }

        function showQuestionYesNoCancelClick()
        {
            var sMessage = "Do you want to do it now?";
            var sTitle = "Do-It Question Prompt";
            TriSysApex.UI.questionYesNoCancel(sMessage, sTitle, "Yes", yesCallback, "No", noCallback, "Cancel", cancelCallback);
        }
        function errorCallback()
        {
            return writeMessageCallbackResponse("Im in error callback!");
        }

        function yesCallback()
        {
            return writeMessageCallbackResponse("You said yes!");
        }
        function noCallback()
        {
            return writeMessageCallbackResponse("You said no!");
        }
        function cancelCallback()
        {
            return writeMessageCallbackResponse("You cancelled!");
        }
        function writeMessageCallbackResponse(sMessage)
        {
            $('#messageBoxAnswers').html(sMessage);
            return true;
        }

        function showWaitButtonClick(iSeconds)
        {
            TriSysApex.UI.ShowWait("Please Wait", iSeconds + " asynchronous operations...");

            setTimeout(function ()
            {
                TriSysApex.UI.HideWait();
            }, iSeconds * 1000);
        }

    </script>
</body>

</html>